package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Dynamic DNS interval configuration. You can configure one of two intervals, when parameter [service] is 2 or 3, you can only choose [updateInterval] to configure, when parameter [service] is 5, you don’t need to configure interval.
 */
@ApiModel(description = "Dynamic DNS interval configuration. You can configure one of two intervals, when parameter [service] is 2 or 3, you can only choose [updateInterval] to configure, when parameter [service] is 5, you don’t need to configure interval.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class DdnsIntervalOpenApiVo   {
  @JsonProperty("updateInterval")
  private Integer updateInterval;

  @JsonProperty("customInterval")
  private Integer customInterval;

  public DdnsIntervalOpenApiVo updateInterval(Integer updateInterval) {
    this.updateInterval = updateInterval;
    return this;
  }

  /**
   * Dynamic DNS update interval, unit: hour. UpdateInterval should be a value as follows: 0, 1, 6, 12, 24, 48 or 72
   * @return updateInterval
  */
  @ApiModelProperty(value = "Dynamic DNS update interval, unit: hour. UpdateInterval should be a value as follows: 0, 1, 6, 12, 24, 48 or 72")


  public Integer getUpdateInterval() {
    return updateInterval;
  }

  public void setUpdateInterval(Integer updateInterval) {
    this.updateInterval = updateInterval;
  }

  public DdnsIntervalOpenApiVo customInterval(Integer customInterval) {
    this.customInterval = customInterval;
    return this;
  }

  /**
   * Dynamic DNS custom interval, valid when parameter [server] is 0, 1 or 4, unit: minute. CustomInterval should be within the range of 1-60
   * @return customInterval
  */
  @ApiModelProperty(value = "Dynamic DNS custom interval, valid when parameter [server] is 0, 1 or 4, unit: minute. CustomInterval should be within the range of 1-60")


  public Integer getCustomInterval() {
    return customInterval;
  }

  public void setCustomInterval(Integer customInterval) {
    this.customInterval = customInterval;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DdnsIntervalOpenApiVo ddnsIntervalOpenApiVo = (DdnsIntervalOpenApiVo) o;
    return Objects.equals(this.updateInterval, ddnsIntervalOpenApiVo.updateInterval) &&
        Objects.equals(this.customInterval, ddnsIntervalOpenApiVo.customInterval);
  }

  @Override
  public int hashCode() {
    return Objects.hash(updateInterval, customInterval);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DdnsIntervalOpenApiVo {\n");
    
    sb.append("    updateInterval: ").append(toIndentedString(updateInterval)).append("\n");
    sb.append("    customInterval: ").append(toIndentedString(customInterval)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

